# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file '/home/basti/git/qt/gym_check-in/layouts/layout.ui'
#
# Created by: PyQt5 UI code generator 5.14.1
#
# WARNING! All changes made in this file will be lost!


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(1003, 562)
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        font = QtGui.QFont()
        font.setPointSize(10)
        self.centralwidget.setFont(font)
        self.centralwidget.setObjectName("centralwidget")
        self.gridLayout_5 = QtWidgets.QGridLayout(self.centralwidget)
        self.gridLayout_5.setObjectName("gridLayout_5")
        self.frame_2 = QtWidgets.QFrame(self.centralwidget)
        self.frame_2.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frame_2.setFrameShadow(QtWidgets.QFrame.Plain)
        self.frame_2.setObjectName("frame_2")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.frame_2)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.label = QtWidgets.QLabel(self.frame_2)
        self.label.setObjectName("label")
        self.horizontalLayout.addWidget(self.label)
        self.card_id_edit = QtWidgets.QLineEdit(self.frame_2)
        self.card_id_edit.setObjectName("card_id_edit")
        self.horizontalLayout.addWidget(self.card_id_edit)
        self.check_in_button = QtWidgets.QPushButton(self.frame_2)
        self.check_in_button.setObjectName("check_in_button")
        self.horizontalLayout.addWidget(self.check_in_button)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout.addItem(spacerItem1)
        self.gridLayout_3.addLayout(self.horizontalLayout, 0, 0, 1, 1)
        self.gridLayout_5.addWidget(self.frame_2, 0, 0, 1, 1)
        self.tabWidget = QtWidgets.QTabWidget(self.centralwidget)
        self.tabWidget.setStyleSheet("")
        self.tabWidget.setObjectName("tabWidget")
        self.tab = QtWidgets.QWidget()
        self.tab.setObjectName("tab")
        self.gridLayout_8 = QtWidgets.QGridLayout(self.tab)
        self.gridLayout_8.setObjectName("gridLayout_8")
        self.splitter = QtWidgets.QSplitter(self.tab)
        self.splitter.setOrientation(QtCore.Qt.Horizontal)
        self.splitter.setObjectName("splitter")
        self.frame_4 = QtWidgets.QFrame(self.splitter)
        self.frame_4.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frame_4.setFrameShadow(QtWidgets.QFrame.Plain)
        self.frame_4.setObjectName("frame_4")
        self.gridLayout = QtWidgets.QGridLayout(self.frame_4)
        self.gridLayout.setObjectName("gridLayout")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout()
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        spacerItem2 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem2)
        self.label_2 = QtWidgets.QLabel(self.frame_4)
        self.label_2.setObjectName("label_2")
        self.horizontalLayout_3.addWidget(self.label_2)
        spacerItem3 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem3)
        self.verticalLayout_2.addLayout(self.horizontalLayout_3)
        self.check_in_list = QtWidgets.QListWidget(self.frame_4)
        self.check_in_list.setObjectName("check_in_list")
        self.verticalLayout_2.addWidget(self.check_in_list)
        self.gridLayout.addLayout(self.verticalLayout_2, 0, 0, 1, 1)
        self.frame_5 = QtWidgets.QFrame(self.splitter)
        self.frame_5.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frame_5.setFrameShadow(QtWidgets.QFrame.Plain)
        self.frame_5.setObjectName("frame_5")
        self.gridLayout_7 = QtWidgets.QGridLayout(self.frame_5)
        self.gridLayout_7.setObjectName("gridLayout_7")
        self.verticalLayout = QtWidgets.QVBoxLayout()
        self.verticalLayout.setObjectName("verticalLayout")
        spacerItem4 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout.addItem(spacerItem4)
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        spacerItem5 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_4.addItem(spacerItem5)
        self.checkout_button = QtWidgets.QPushButton(self.frame_5)
        self.checkout_button.setObjectName("checkout_button")
        self.horizontalLayout_4.addWidget(self.checkout_button)
        spacerItem6 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_4.addItem(spacerItem6)
        self.verticalLayout.addLayout(self.horizontalLayout_4)
        spacerItem7 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout.addItem(spacerItem7)
        self.gridLayout_7.addLayout(self.verticalLayout, 0, 0, 1, 1)
        self.gridLayout_8.addWidget(self.splitter, 0, 0, 1, 1)
        self.tabWidget.addTab(self.tab, "")
        self.Checked = QtWidgets.QWidget()
        self.Checked.setObjectName("Checked")
        self.gridLayout_10 = QtWidgets.QGridLayout(self.Checked)
        self.gridLayout_10.setObjectName("gridLayout_10")
        self.splitter_3 = QtWidgets.QSplitter(self.Checked)
        self.splitter_3.setOrientation(QtCore.Qt.Horizontal)
        self.splitter_3.setObjectName("splitter_3")
        self.frame_7 = QtWidgets.QFrame(self.splitter_3)
        self.frame_7.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frame_7.setFrameShadow(QtWidgets.QFrame.Plain)
        self.frame_7.setObjectName("frame_7")
        self.verticalLayout_6 = QtWidgets.QVBoxLayout(self.frame_7)
        self.verticalLayout_6.setObjectName("verticalLayout_6")
        self.horizontalLayout_11 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_11.setObjectName("horizontalLayout_11")
        spacerItem8 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_11.addItem(spacerItem8)
        self.label_6 = QtWidgets.QLabel(self.frame_7)
        self.label_6.setObjectName("label_6")
        self.horizontalLayout_11.addWidget(self.label_6)
        spacerItem9 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_11.addItem(spacerItem9)
        self.verticalLayout_6.addLayout(self.horizontalLayout_11)
        self.today_list = QtWidgets.QTableWidget(self.frame_7)
        self.today_list.setEditTriggers(QtWidgets.QAbstractItemView.NoEditTriggers)
        self.today_list.setSelectionMode(QtWidgets.QAbstractItemView.SingleSelection)
        self.today_list.setSelectionBehavior(QtWidgets.QAbstractItemView.SelectRows)
        self.today_list.setShowGrid(True)
        self.today_list.setWordWrap(True)
        self.today_list.setRowCount(0)
        self.today_list.setObjectName("today_list")
        self.today_list.setColumnCount(3)
        item = QtWidgets.QTableWidgetItem()
        self.today_list.setHorizontalHeaderItem(0, item)
        item = QtWidgets.QTableWidgetItem()
        self.today_list.setHorizontalHeaderItem(1, item)
        item = QtWidgets.QTableWidgetItem()
        self.today_list.setHorizontalHeaderItem(2, item)
        self.today_list.horizontalHeader().setVisible(False)
        self.today_list.horizontalHeader().setCascadingSectionResizes(False)
        self.today_list.horizontalHeader().setDefaultSectionSize(100)
        self.today_list.verticalHeader().setVisible(False)
        self.today_list.verticalHeader().setCascadingSectionResizes(False)
        self.today_list.verticalHeader().setDefaultSectionSize(30)
        self.verticalLayout_6.addWidget(self.today_list)
        self.frame_6 = QtWidgets.QFrame(self.splitter_3)
        self.frame_6.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frame_6.setFrameShadow(QtWidgets.QFrame.Plain)
        self.frame_6.setObjectName("frame_6")
        self.gridLayout_9 = QtWidgets.QGridLayout(self.frame_6)
        self.gridLayout_9.setObjectName("gridLayout_9")
        self.verticalLayout_5 = QtWidgets.QVBoxLayout()
        self.verticalLayout_5.setObjectName("verticalLayout_5")
        spacerItem10 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_5.addItem(spacerItem10)
        self.horizontalLayout_10 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_10.setObjectName("horizontalLayout_10")
        spacerItem11 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_10.addItem(spacerItem11)
        self.pushButton_5 = QtWidgets.QPushButton(self.frame_6)
        self.pushButton_5.setObjectName("pushButton_5")
        self.horizontalLayout_10.addWidget(self.pushButton_5)
        spacerItem12 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_10.addItem(spacerItem12)
        self.verticalLayout_5.addLayout(self.horizontalLayout_10)
        spacerItem13 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_5.addItem(spacerItem13)
        self.gridLayout_9.addLayout(self.verticalLayout_5, 0, 0, 1, 1)
        self.gridLayout_10.addWidget(self.splitter_3, 0, 0, 1, 1)
        self.tabWidget.addTab(self.Checked, "")
        self.tab_2 = QtWidgets.QWidget()
        self.tab_2.setObjectName("tab_2")
        self.gridLayout_6 = QtWidgets.QGridLayout(self.tab_2)
        self.gridLayout_6.setObjectName("gridLayout_6")
        self.splitter_2 = QtWidgets.QSplitter(self.tab_2)
        self.splitter_2.setOrientation(QtCore.Qt.Horizontal)
        self.splitter_2.setObjectName("splitter_2")
        self.frame_3 = QtWidgets.QFrame(self.splitter_2)
        self.frame_3.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frame_3.setFrameShadow(QtWidgets.QFrame.Plain)
        self.frame_3.setObjectName("frame_3")
        self.gridLayout_4 = QtWidgets.QGridLayout(self.frame_3)
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout()
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.horizontalLayout_5 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        spacerItem14 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_5.addItem(spacerItem14)
        self.label_4 = QtWidgets.QLabel(self.frame_3)
        self.label_4.setObjectName("label_4")
        self.horizontalLayout_5.addWidget(self.label_4)
        spacerItem15 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_5.addItem(spacerItem15)
        self.verticalLayout_3.addLayout(self.horizontalLayout_5)
        self.horizontalLayout_6 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_6.setObjectName("horizontalLayout_6")
        self.label_3 = QtWidgets.QLabel(self.frame_3)
        self.label_3.setObjectName("label_3")
        self.horizontalLayout_6.addWidget(self.label_3)
        self.start_time_edit = QtWidgets.QDateTimeEdit(self.frame_3)
        self.start_time_edit.setMinimumSize(QtCore.QSize(150, 0))
        self.start_time_edit.setDateTime(QtCore.QDateTime(QtCore.QDate(2021, 6, 29), QtCore.QTime(10, 0, 0)))
        self.start_time_edit.setDate(QtCore.QDate(2021, 6, 29))
        self.start_time_edit.setTime(QtCore.QTime(10, 0, 0))
        self.start_time_edit.setMaximumDate(QtCore.QDate(2095, 3, 30))
        self.start_time_edit.setMinimumDate(QtCore.QDate(1995, 3, 30))
        self.start_time_edit.setCalendarPopup(True)
        self.start_time_edit.setObjectName("start_time_edit")
        self.horizontalLayout_6.addWidget(self.start_time_edit)
        spacerItem16 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_6.addItem(spacerItem16)
        self.verticalLayout_3.addLayout(self.horizontalLayout_6)
        self.horizontalLayout_7 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_7.setObjectName("horizontalLayout_7")
        self.label_5 = QtWidgets.QLabel(self.frame_3)
        self.label_5.setObjectName("label_5")
        self.horizontalLayout_7.addWidget(self.label_5)
        self.end_time_edit = QtWidgets.QDateTimeEdit(self.frame_3)
        self.end_time_edit.setMinimumSize(QtCore.QSize(150, 0))
        self.end_time_edit.setDateTime(QtCore.QDateTime(QtCore.QDate(2021, 6, 30), QtCore.QTime(20, 0, 0)))
        self.end_time_edit.setDate(QtCore.QDate(2021, 6, 30))
        self.end_time_edit.setTime(QtCore.QTime(20, 0, 0))
        self.end_time_edit.setMaximumDate(QtCore.QDate(2095, 3, 30))
        self.end_time_edit.setMinimumDate(QtCore.QDate(1995, 3, 30))
        self.end_time_edit.setMinimumTime(QtCore.QTime(0, 0, 0))
        self.end_time_edit.setCalendarPopup(True)
        self.end_time_edit.setObjectName("end_time_edit")
        self.horizontalLayout_7.addWidget(self.end_time_edit)
        spacerItem17 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_7.addItem(spacerItem17)
        self.verticalLayout_3.addLayout(self.horizontalLayout_7)
        self.gridLayout_4.addLayout(self.verticalLayout_3, 0, 0, 1, 1)
        self.time_search_list = QtWidgets.QTableWidget(self.frame_3)
        self.time_search_list.setEditTriggers(QtWidgets.QAbstractItemView.NoEditTriggers)
        self.time_search_list.setSelectionMode(QtWidgets.QAbstractItemView.SingleSelection)
        self.time_search_list.setSelectionBehavior(QtWidgets.QAbstractItemView.SelectRows)
        self.time_search_list.setShowGrid(True)
        self.time_search_list.setWordWrap(True)
        self.time_search_list.setRowCount(0)
        self.time_search_list.setObjectName("time_search_list")
        self.time_search_list.setColumnCount(3)
        item = QtWidgets.QTableWidgetItem()
        self.time_search_list.setHorizontalHeaderItem(0, item)
        item = QtWidgets.QTableWidgetItem()
        self.time_search_list.setHorizontalHeaderItem(1, item)
        item = QtWidgets.QTableWidgetItem()
        self.time_search_list.setHorizontalHeaderItem(2, item)
        self.time_search_list.horizontalHeader().setVisible(False)
        self.time_search_list.horizontalHeader().setCascadingSectionResizes(False)
        self.time_search_list.horizontalHeader().setDefaultSectionSize(100)
        self.time_search_list.verticalHeader().setVisible(False)
        self.time_search_list.verticalHeader().setCascadingSectionResizes(False)
        self.time_search_list.verticalHeader().setDefaultSectionSize(30)
        self.gridLayout_4.addWidget(self.time_search_list, 1, 0, 1, 1)
        self.frame = QtWidgets.QFrame(self.splitter_2)
        self.frame.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frame.setFrameShadow(QtWidgets.QFrame.Plain)
        self.frame.setObjectName("frame")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.frame)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.verticalLayout_4 = QtWidgets.QVBoxLayout()
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        spacerItem18 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_4.addItem(spacerItem18)
        self.horizontalLayout_8 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_8.setObjectName("horizontalLayout_8")
        spacerItem19 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_8.addItem(spacerItem19)
        self.search_button = QtWidgets.QPushButton(self.frame)
        self.search_button.setObjectName("search_button")
        self.horizontalLayout_8.addWidget(self.search_button)
        spacerItem20 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_8.addItem(spacerItem20)
        self.verticalLayout_4.addLayout(self.horizontalLayout_8)
        self.horizontalLayout_18 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_18.setObjectName("horizontalLayout_18")
        spacerItem21 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_18.addItem(spacerItem21)
        self.add_search_button = QtWidgets.QPushButton(self.frame)
        self.add_search_button.setObjectName("add_search_button")
        self.horizontalLayout_18.addWidget(self.add_search_button)
        spacerItem22 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_18.addItem(spacerItem22)
        self.verticalLayout_4.addLayout(self.horizontalLayout_18)
        self.horizontalLayout_9 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_9.setObjectName("horizontalLayout_9")
        spacerItem23 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_9.addItem(spacerItem23)
        self.export_users_button = QtWidgets.QPushButton(self.frame)
        self.export_users_button.setObjectName("export_users_button")
        self.horizontalLayout_9.addWidget(self.export_users_button)
        spacerItem24 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_9.addItem(spacerItem24)
        self.verticalLayout_4.addLayout(self.horizontalLayout_9)
        spacerItem25 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_4.addItem(spacerItem25)
        self.gridLayout_2.addLayout(self.verticalLayout_4, 0, 0, 1, 1)
        self.gridLayout_6.addWidget(self.splitter_2, 0, 0, 1, 1)
        self.tabWidget.addTab(self.tab_2, "")
        self.tab_3 = QtWidgets.QWidget()
        self.tab_3.setObjectName("tab_3")
        self.gridLayout_13 = QtWidgets.QGridLayout(self.tab_3)
        self.gridLayout_13.setObjectName("gridLayout_13")
        self.splitter_4 = QtWidgets.QSplitter(self.tab_3)
        self.splitter_4.setOrientation(QtCore.Qt.Horizontal)
        self.splitter_4.setObjectName("splitter_4")
        self.frame_9 = QtWidgets.QFrame(self.splitter_4)
        self.frame_9.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frame_9.setFrameShadow(QtWidgets.QFrame.Raised)
        self.frame_9.setObjectName("frame_9")
        self.verticalLayout_9 = QtWidgets.QVBoxLayout(self.frame_9)
        self.verticalLayout_9.setObjectName("verticalLayout_9")
        self.verticalLayout_8 = QtWidgets.QVBoxLayout()
        self.verticalLayout_8.setObjectName("verticalLayout_8")
        self.horizontalLayout_14 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_14.setObjectName("horizontalLayout_14")
        spacerItem26 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_14.addItem(spacerItem26)
        self.label_7 = QtWidgets.QLabel(self.frame_9)
        self.label_7.setObjectName("label_7")
        self.horizontalLayout_14.addWidget(self.label_7)
        spacerItem27 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_14.addItem(spacerItem27)
        self.verticalLayout_8.addLayout(self.horizontalLayout_14)
        self.horizontalLayout_17 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_17.setObjectName("horizontalLayout_17")
        self.label_10 = QtWidgets.QLabel(self.frame_9)
        self.label_10.setObjectName("label_10")
        self.horizontalLayout_17.addWidget(self.label_10)
        self.firnesscard_search_edit = QtWidgets.QLineEdit(self.frame_9)
        self.firnesscard_search_edit.setObjectName("firnesscard_search_edit")
        self.horizontalLayout_17.addWidget(self.firnesscard_search_edit)
        spacerItem28 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_17.addItem(spacerItem28)
        self.verticalLayout_8.addLayout(self.horizontalLayout_17)
        self.horizontalLayout_16 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_16.setObjectName("horizontalLayout_16")
        self.label_9 = QtWidgets.QLabel(self.frame_9)
        self.label_9.setObjectName("label_9")
        self.horizontalLayout_16.addWidget(self.label_9)
        self.bluecard_search_edit = QtWidgets.QLineEdit(self.frame_9)
        self.bluecard_search_edit.setObjectName("bluecard_search_edit")
        self.horizontalLayout_16.addWidget(self.bluecard_search_edit)
        spacerItem29 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_16.addItem(spacerItem29)
        self.verticalLayout_8.addLayout(self.horizontalLayout_16)
        self.verticalLayout_9.addLayout(self.verticalLayout_8)
        self.user_search_list = QtWidgets.QTableWidget(self.frame_9)
        self.user_search_list.setEditTriggers(QtWidgets.QAbstractItemView.NoEditTriggers)
        self.user_search_list.setSelectionMode(QtWidgets.QAbstractItemView.SingleSelection)
        self.user_search_list.setSelectionBehavior(QtWidgets.QAbstractItemView.SelectRows)
        self.user_search_list.setShowGrid(True)
        self.user_search_list.setWordWrap(True)
        self.user_search_list.setRowCount(0)
        self.user_search_list.setObjectName("user_search_list")
        self.user_search_list.setColumnCount(3)
        item = QtWidgets.QTableWidgetItem()
        self.user_search_list.setHorizontalHeaderItem(0, item)
        item = QtWidgets.QTableWidgetItem()
        self.user_search_list.setHorizontalHeaderItem(1, item)
        item = QtWidgets.QTableWidgetItem()
        self.user_search_list.setHorizontalHeaderItem(2, item)
        self.user_search_list.horizontalHeader().setVisible(False)
        self.user_search_list.horizontalHeader().setCascadingSectionResizes(False)
        self.user_search_list.horizontalHeader().setDefaultSectionSize(100)
        self.user_search_list.verticalHeader().setVisible(False)
        self.user_search_list.verticalHeader().setCascadingSectionResizes(False)
        self.user_search_list.verticalHeader().setDefaultSectionSize(30)
        self.verticalLayout_9.addWidget(self.user_search_list)
        self.frame_8 = QtWidgets.QFrame(self.splitter_4)
        self.frame_8.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frame_8.setFrameShadow(QtWidgets.QFrame.Raised)
        self.frame_8.setObjectName("frame_8")
        self.gridLayout_11 = QtWidgets.QGridLayout(self.frame_8)
        self.gridLayout_11.setObjectName("gridLayout_11")
        self.verticalLayout_7 = QtWidgets.QVBoxLayout()
        self.verticalLayout_7.setObjectName("verticalLayout_7")
        spacerItem30 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_7.addItem(spacerItem30)
        self.horizontalLayout_12 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_12.setObjectName("horizontalLayout_12")
        spacerItem31 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_12.addItem(spacerItem31)
        self.search_id_button = QtWidgets.QPushButton(self.frame_8)
        self.search_id_button.setMinimumSize(QtCore.QSize(75, 0))
        self.search_id_button.setObjectName("search_id_button")
        self.horizontalLayout_12.addWidget(self.search_id_button)
        spacerItem32 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_12.addItem(spacerItem32)
        self.verticalLayout_7.addLayout(self.horizontalLayout_12)
        self.horizontalLayout_13 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_13.setObjectName("horizontalLayout_13")
        spacerItem33 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_13.addItem(spacerItem33)
        self.export_dates_button = QtWidgets.QPushButton(self.frame_8)
        self.export_dates_button.setMinimumSize(QtCore.QSize(75, 0))
        self.export_dates_button.setObjectName("export_dates_button")
        self.horizontalLayout_13.addWidget(self.export_dates_button)
        spacerItem34 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_13.addItem(spacerItem34)
        self.verticalLayout_7.addLayout(self.horizontalLayout_13)
        spacerItem35 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_7.addItem(spacerItem35)
        self.gridLayout_11.addLayout(self.verticalLayout_7, 0, 0, 1, 1)
        self.gridLayout_13.addWidget(self.splitter_4, 0, 0, 1, 1)
        self.tabWidget.addTab(self.tab_3, "")
        self.gridLayout_5.addWidget(self.tabWidget, 1, 0, 1, 1)
        MainWindow.setCentralWidget(self.centralwidget)
        self.menubar = QtWidgets.QMenuBar(MainWindow)
        self.menubar.setGeometry(QtCore.QRect(0, 0, 1003, 22))
        self.menubar.setObjectName("menubar")
        MainWindow.setMenuBar(self.menubar)
        self.statusbar = QtWidgets.QStatusBar(MainWindow)
        self.statusbar.setObjectName("statusbar")
        MainWindow.setStatusBar(self.statusbar)

        self.retranslateUi(MainWindow)
        self.tabWidget.setCurrentIndex(1)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "Corona Register (BETA)"))
        self.label.setText(_translate("MainWindow", "Card ID:"))
        self.check_in_button.setText(_translate("MainWindow", "check-in/out"))
        self.label_2.setText(_translate("MainWindow", "Zurzeit eingecheckt"))
        self.checkout_button.setText(_translate("MainWindow", "Checkout"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab), _translate("MainWindow", "checked-in"))
        self.label_6.setText(_translate("MainWindow", "Alle Kunden von heute (ausgecheckt)"))
        self.today_list.setSortingEnabled(False)
        item = self.today_list.horizontalHeaderItem(0)
        item.setText(_translate("MainWindow", "Card Id"))
        item = self.today_list.horizontalHeaderItem(1)
        item.setText(_translate("MainWindow", "check-in"))
        item = self.today_list.horizontalHeaderItem(2)
        item.setText(_translate("MainWindow", "check-out"))
        self.pushButton_5.setText(_translate("MainWindow", "edit (not assigned)"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.Checked), _translate("MainWindow", "checked-out today"))
        self.label_4.setText(_translate("MainWindow", "Alle Kunden suchen die in einem Zeitraum da waren"))
        self.label_3.setText(_translate("MainWindow", "Start:"))
        self.label_5.setText(_translate("MainWindow", "Ende:"))
        self.time_search_list.setSortingEnabled(False)
        item = self.time_search_list.horizontalHeaderItem(0)
        item.setText(_translate("MainWindow", "Card Id"))
        item = self.time_search_list.horizontalHeaderItem(1)
        item.setText(_translate("MainWindow", "check-in"))
        item = self.time_search_list.horizontalHeaderItem(2)
        item.setText(_translate("MainWindow", "check-out"))
        self.search_button.setText(_translate("MainWindow", "Neue Suche"))
        self.add_search_button.setText(_translate("MainWindow", "Hinzufügen"))
        self.export_users_button.setText(_translate("MainWindow", "Exportieren"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_2), _translate("MainWindow", "time search "))
        self.label_7.setText(_translate("MainWindow", "Nach Karten-ID suchen"))
        self.label_10.setText(_translate("MainWindow", "Fitness Karte:"))
        self.label_9.setText(_translate("MainWindow", "Bluecard:        "))
        self.user_search_list.setSortingEnabled(False)
        item = self.user_search_list.horizontalHeaderItem(0)
        item.setText(_translate("MainWindow", "Card Id"))
        item = self.user_search_list.horizontalHeaderItem(1)
        item.setText(_translate("MainWindow", "check-in"))
        item = self.user_search_list.horizontalHeaderItem(2)
        item.setText(_translate("MainWindow", "check-out"))
        self.search_id_button.setText(_translate("MainWindow", "Suchen"))
        self.export_dates_button.setText(_translate("MainWindow", "---"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_3), _translate("MainWindow", "search card id"))


if __name__ == "__main__":
    import sys
    app = QtWidgets.QApplication(sys.argv)
    MainWindow = QtWidgets.QMainWindow()
    ui = Ui_MainWindow()
    ui.setupUi(MainWindow)
    MainWindow.show()
    sys.exit(app.exec_())
